package com.zcloud.mapper.datasource.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;


/**
 * 说明：外来车辆
 * 作者：yangming
 * 时间：2022-04-01
 * 官网：www.zcloudchina.com
 */
public interface ForeignCarMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**列表(首页)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listIndexAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);
	/**通过名称获取数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData>  findByName(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	/**
	 *  根据ID获取数据
	 * @param
	 * @return
	 */
	List<PageData> getForeignCarById (Page page);

	/**
	 *  查询部门审核列表
	 * @param
	 * @return
	 */
	List<PageData> examinelistPage(Page page);

	/**
	 *  只修改状态
	 * @param
	 * @return
	 */
	void editState(PageData pd);

	List<PageData> approvallistPage(Page page);

	List<PageData> confirmlistPage(Page page);

	/**
	 * 统计今日现场车辆情况
	 * 		提交申请数[COUNTAPPLY]，门卫确认进入数[COUNTIN]，现场车辆数[COUNTSITE]，
	 * 		审核通过数[COUNPASS]，门卫确认离开数[COUNTOUT]，入场车辆比例[INRATIO]
	 * 		审核未通过数[COUNREFUSE]
	 * @param pd
	 * @return
	 */
    PageData statisticsCarCount(PageData pd);


	/**
	 * 根据状态按时间分组统计人员进出刷卡
	 * @param hd
	 * @return
	 */
    List<PageData> statisticsGroupDay(PageData pd);
}

